classification
Title: Right-click behavior from Windows Explorer
Type: enhancement Stage: needs patch
Components: IDLE Versions: Python 3.2
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: kbk Nosy List: Mkopinsky, kbk, taleinat
Priority: normal Keywords:

Created on 2009-04-23 00:38 by Mkopinsky, last changed 2010-07-21 06:38 by Mkopinsky. This issue is now closed.

Messages (6)
msg86346 - (view) Author: Michael Kopinsky (Mkopinsky) Date: 2009-04-23 00:38
When I right-click on a .py file in Windows Explorer and click Edit with
IDLE, it currently opens a completely new instance of IDLE (with two
windows, one for shell and one for editing the file). It would be better
if it just opened the file as an additional window in the already
running IDLE instance (assuming IDLE is already running).
msg110913 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2010-07-20 15:50
Just to get this on the table: What is the benefit of having it opened in the same instance of IDLE rather than a new instance?
msg110956 - (view) Author: Michael Kopinsky (Mkopinsky) Date: 2010-07-20 19:34
The thing that bugged me when I created the ticket is that since IDLE uses two windows for every instance, that means that if you open three files, you'll have six windows open. I was bugged by constantly switching to the wrong window, etc.
msg110980 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2010-07-20 22:58
I'm quite sure that issue has already been addressed. Specifically r71126 made it so that running IDLE with -e always opens just an editor window. "Edit with IDLE" runs IDLE with -e.

With which version of Python do you see this happening, Michael?
msg110985 - (view) Author: Michael Kopinsky (Mkopinsky) Date: 2010-07-21 01:19
I haven't really done any active Python development in a while. When I reported this back in April 2009 I was presumably using whatever was current then (2.6.x, I guess), but haven't tested it since. If you tell me that in newer versions it is corrected, I will be happy to have this marked as resolved.
msg111010 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2010-07-21 06:30
That makes sense. I think this issue can be closed.

For future reference, the original feature request has a benefit beyond not having a shell window open for every editor window. Opening different files in the same instance of IDLE allows running them in the same shell easily via "Run Module". However, IMO this would be much too small a benefit compared to the effort required to achieve it.
History
Date User Action Args
2010-07-21 06:38:35Mkopinskysetstatus: open -> closed
2010-07-21 06:30:12taleinatsetmessages: + msg111010
2010-07-21 01:19:18Mkopinskysetmessages: + msg110985
2010-07-20 22:58:36taleinatsetmessages: + msg110980
2010-07-20 19:34:57Mkopinskysetmessages: + msg110956
2010-07-20 15:50:10taleinatsetnosy: + taleinat
messages: + msg110913
2010-07-10 11:45:36BreamoreBoysetassignee: kbk
stage: needs patch

nosy: + kbk
versions: + Python 3.2
2009-04-23 00:38:02Mkopinskycreate